/*;  dfopen.h {\documentstyle[fleqn]{jsrc2latex}\font\tenrm=cmtt10} */

/*;  $$Revision: 1.1 $$ {\rhead{\sl dfopen.h\quad\thepage}} */
/*;  $$Date: 2000/12/02 09:46:59 $$  */
/*;  $$Source: /home/shiiba/ohymos-lib/ohymos-current/dfopen.h,v $$  */
/*;  $$RCShost: yodo.kuciv.kyoto-u.ac.jp $$  */

// @(#)  definition of the function "dataFileOpen"

/* <japanese>

Υեϡؿ dataFileOpen Ƥޤ
ؿ dataFileOpen ϡꥸʥΥǡե뤫饳
('#'ʸǻϤޤꡢʸǽʬ)ꡢǡΤߤ
ܤŪʺѥեơκѥեؤ
ݥ󥿤֤ޤϥꥸʥΥե̾Ǥ

򼨤ޤꥸʥե(ե̾ org.dat)ϰʲ
̤ǤȤޤ

--- org.dat ----------------------------------------------------
# org.dat
# '#'ǻϤޤԤϥȹ
0 12.3 45 6 789

1 22 333 4444 55555          # Ԥˤ⥳Ȥ񤱤
pi = 3.14159265
"Hello, World. How are you?" # I'm fine, thank you.
----------------------------------------------------------------

dataFileOpen Ȥä org.dat 饳ʬä
ŪʺѥեϡʲΤ褦ˤʤޤ

----------------------------------------------------------------
0 12.3 45 6 789

1 22 333 4444 55555
pi = 3.14159265
"Hello, World. How are you?"
----------------------------------------------------------------

ԤϤΤޤ޶ԤȤƽϤޤޤǡȥ
ΤΥڡ⤽Τޤ޽Ϥޤ

#(sharp mark)򤽤Τޤ޽Ϥˤϡ"(double quotation mark)
'(single quotation mark)ǰϤǲκݡ"  ' ⤽Τޤ
Ϥޤ"  ' ǰϤʸʣԤˤ錄äƤ⤫ޤޤ
"  ' ĤƤʤХ顼åϤƽλޤ

dataFileOpen ֤եݥ󥿤ϡѥեƬ
ؤƤޤΤǡ餿ƥեݥ󥿤򴬤᤹ɬפ
ޤ

δؿȤäƥץ󤷤Ūѥե fclose 
ȤäƥƲŪѥեϥ
ưŪ˾õޤ

<japanese> */

#if !defined(_dfopen_h)
#define _dfopen_h

#include <stdio.h>

  ////////////////////////////////////////////////////////////////
  // Creates a temporary data file from the file "fname" and
  // returns the file pointer to that data file.  The temporary
  // data file is created by copying the original file "fname" but
  // by removing comment strings
  // that start with "#".
  //
  // <japanese>
  // ե̾ fname ĥե뤫顢ŪѤΥǡե
  // ΰŪѤΥǡեؤΥե
  // 󥿤֤ޤŪѤΥǡեϡΥե
  //  fname ʣ̤# ǻϤޤ륳ʸƺ
  // ޤ
  // </japanese>
  //
  // When the user executes fclose with the file pointer as the
  // argument, that temporary data file will be automatically
  // deleted.
  //
  // <japanese>
  // 桼dataFileOpen ֤եݥ󥿤Ȥơ
  // ؿ fclose ¹ԤȡΰŪեϼưŪ˾õ
  // ޤ
  // </japanese>
  //
  // <dl><dt>Example<dd>
  // FILE* pf = dataFileOpen("datafile.dat");<br>
  // ...<br>
  // fclose(pf);
  // </dl>
FILE* dataFileOpen(char* fname);

#endif

/*; Local Variables: *** */
/*; tab-width: 4 *** */
/*; fill-column: 72 *** */
/*; End: *** */

/*; end of file */
