/* port.cc {\documentstyle{jsrc2latex}\rhead{\sl port.cc\quad\thepage}
   \font\tenrm=cmtt10}饹 Port μ
   {\ \begin{verbatim}
   $Revision: 1.1 $ $Date: 2000/12/02 10:08:10 $  by KyotoHydro
   \end{verbatim}}
{\ {\setlength{\parskip}{4pt}% latex-mode

}% end of latex-mode }
*/

#include <stdio.h>

#include "common.h"		// ץˤ붦
#include "port.h"		// 饹 Port 


// 饹 Port Υдؿμ

Boolean Port::Set_sender(void* s)
{	//		Port::Set_sender(void*) (define)
	
	Eprint(__FILE__, __LINE__);
		// Port::Set_sender(void*)
		// This port cannot set sender. 
	if (s != NULL) ((Object*) s)->Oprint(stderr, "    sender > ");
	Oprint(); return NO;
}


Boolean Port::Register_receiver(void* r)
{	//		Port::Register_receiver(void*) (define)
	
	Eprint(__FILE__, __LINE__);
		// Port::Register_receiver(void*)
		// This port cannot register receiver. 
	if (r != NULL) ((Object*) r)->Oprint(stderr, "    receiver > ");
	Oprint(); return NO;
}


Boolean Port::Switch(void)
{	//		Port::Switch(void) (define)
	
	Eprint(__FILE__, __LINE__); Oprint(); return NO;
		// Port::Switch(void)
		// This port cannot switch. 
}


void Port::Cprint(FILE* fp_out, char* head)
{	//		Port::Cprint(FILE*,char*) (define)
	
	fprintf(fp_out,
		"%s%s<%s> %s %d \n",
		head, class_name, Data_pack_type(), object_name, object_number);
}


void Port::Print_connection(FILE* fp_out, char* head)
{	//		Port::Print_connection(FILE*,char*) (define)
	
	Oprint(fp_out, head);
	fprintf(fp_out, "%s    This port not connected.\n", head);
}


Port::Port(char* p_name, int p_num)
	:	Object()
{	//		Port::Port(FILE*,char*) (define)
	
	class_name = "Port";
	
	Init(p_name, p_num);
}


Port::Port(void)
	:	Object()
{	//		Port::Port(void) (define)
	
	class_name = "Port";
}


Port::~Port(void)
{	//		Port::~Port(void) (define)
}
 
/* end of file {\ % The following part will be omitted in tex file
\begin{comment}\begin{verbatim}
This part is not included in the tex output.
$Revision: 1.1 $

# Local Variables: ***
# tab-width: 4 ***
# End: ***
\end{verbatim}\end{comment}
} */

