/*;  p_itmp.cc {\documentstyle{jsrc2latex}\font\tenrm=cmtt10} */

/*;  $$Revision: 1.1 $$ {\rhead{\sl p\_itmp.cc\quad\thepage}} */
/*;  $$Date: 2000/12/02 08:10:55 $$  */
/*;  $$Source: /home/shiiba/ohymos-lib/ohymos-current/p_itmp.cc,v $$  */
/*;  $$RCShost: yodo.kuciv.kyoto-u.ac.jp $$  */

// @(#) instantication of ports

#include "p_tmp.cc" // template
#include "vary.cc"

// #include "ostring.h"

// -------------------------------------------------------------
// instantiation
// -------------------------------------------------------------

//
template class Port_type<double>;
template class Port_type<float>;
template class Port_type<int>;
template class Port_type<long>;
// template class Port_type<OHyMosString>;

// modified by iYutaka so that the following codes can be compiled with
// GCC 3.4 (Fri Oct 28 16:49:56 2005)
template<> char* Port_type<double>::data_pack_type = "double";
template<> char* Port_type<float>::data_pack_type = "float";
template<> char* Port_type<int>::data_pack_type = "int";
template<> char* Port_type<long>::data_pack_type = "long";
// template<> char* Port_type<OHyMosString>::data_pack_type = "OHyMosString";

//
template class Data<double>;
template class Data<float>;
template class Data<int>;
template class Data<long>;
// template class Data<OHyMosString>;

template class Receive<double>;
template class Receive<float>;
template class Receive<int>;
template class Receive<long>;
// template class ReceiveNointp<OHyMosString>;

template class Send<double>;
template class Send<float>;
template class Send<int>;
template class Send<long>;
// template class Send<OHyMosString>;

template class Relay<double>;
template class Relay<float>;
template class Relay<int>;
template class Relay<long>;
// template class Relay<OHyMosString>;

template class I_file<double>;
template class I_file<float>;
template class I_file<int>;
template class I_file<long>;
// template class I_file<OHyMosString>;

template class O_file<double>;
template class O_file<float>;
template class O_file<int>;
template class O_file<long>;
// template class O_file<OHyMosString>;

// for Vary<T>

// added by Y.Ichikawa (Wed Feb 14 21:35:48 1996)
// -------------------------------------------------------------
// instantiation
// -------------------------------------------------------------

// Implementaion and initialization of class Vary
template class Vary<int>;
template class Vary<long>;
template class Vary<float>;
template class Vary<double>;
typedef Vary<int> Viary;
typedef Vary<long> Vlary;
typedef Vary<float> Vfary;
typedef Vary<double> Vdary;

template void dstr2data(char*&, Viary&);
template void dstr2data(char*& dstr, Vlary& a);
template void dstr2data(char*& dstr, Vfary& a);
template void dstr2data(char*& dstr, Vdary& a);

template void data2file(Vary<int>& a, FILE* fp);
template void data2file(Vary<long>& a, FILE* fp);
template void data2file(Vary<float>& a, FILE* fp);
template void data2file(Vary<double>& a, FILE* fp);

template void data2ofile(Vary<int>& a, FILE* fp);
template void data2ofile(Vary<long>& a, FILE* fp);
template void data2ofile(Vary<float>& a, FILE* fp);
template void data2ofile(Vary<double>& a, FILE* fp);

template class Port_type<Viary>;
template class Port_type<Vlary>;
template class Port_type<Vfary>;
template class Port_type<Vdary>;

// modified by iYutaka so that the following codes can be compiled with
// GCC 3.4 (Fri Oct 28 16:49:56 2005)
template<> char* Port_type<Viary>::data_pack_type = "Viary";
template<> char* Port_type<Vlary>::data_pack_type = "Vlary";
template<> char* Port_type<Vfary>::data_pack_type = "Vfary";
template<> char* Port_type<Vdary>::data_pack_type = "Vdary";

template class Data<Viary>;
template class ReceiveNointp<Viary>;
template class Send<Viary>;
template class Relay<Viary>;
template class I_file<Viary>;
template class O_file<Viary>;

template class Data<Vlary>;
template class ReceiveNointp<Vlary>;
template class Send<Vlary>;
template class Relay<Vlary>;
template class I_file<Vlary>;
template class O_file<Vlary>;

template class Data<Vfary>;
template class ReceiveNointp<Vfary>;
template class Send<Vfary>;
template class Relay<Vfary>;
template class I_file<Vfary>;
template class O_file<Vfary>;

template class Data<Vdary>;
template class ReceiveNointp<Vdary>;
template class Send<Vdary>;
template class Relay<Vdary>;
template class I_file<Vdary>;
template class O_file<Vdary>;

/*; end of file */
